Name:		jitterentropy-rngd
Version:	1.2.8
Release:	1%{?dist}
Summary:	Jitter RNG Daemon

License:	BSD-3-Clause
URL:		https://github.com/smuellerDD/jitterentropy-rngd
Source0:	https://github.com/smuellerDD/jitterentropy-rngd/archive/refs/tags/v%{version}.tar.gz

Patch0:		0001-For-SP800-90B-ensure-stable-H_submitter.patch
Patch1:		0002-Gracefully-handling-errors.patch
Patch2:		0003-Adjust-the-alarm-period-in-two-phases-PHASE1-120-for.patch
Patch3:		0004-make-ease-installation-for-packaging.patch

BuildRequires:	gcc systemd-rpm-macros
%{?systemd_requires}
Requires:	jitterentropy

# The CPU Jitter random number generator must not be compiled with
# optimizations. See documentation 5.1 Base Entropy Source.
# _FORTIFY_SOURCE is reduced accordingly:
#   https://sourceware.org/git/?p=glibc.git;a=commit;f=include/features.h;h=05c2c9618f583ea4acd69b3fe5ae2a2922dd2ddc
%define _general_options -O0 %{?_lto_cflags} -fexceptions -g -grecord-gcc-switches -pipe
# Not available on CS9 and earlier, instead hard set to 2
%if %{undefined _fortify_level}
%define _preprocessor_defines -Wp,-D_GLIBCXX_ASSERTIONS
%else
%define _fortify_level 0
%endif

%description
Using the Jitter RNG core, the rngd provides an entropy source that feeds into
the Linux /dev/random device if its entropy runs low. It updates the
/dev/random entropy estimator such that the newly provided entropy unblocks
/dev/random.

The seeding of /dev/random also ensures that /dev/urandom benefits from
entropy. Especially during boot time, when the entropy of Linux is low, the
Jitter RNGd provides a source of sufficient entropy.

By using the SP800-90B-compliant Jitter RNG core library, the RNGd itself is
now fully SP800-90B compliant.


%package docs
Summary:	Jitter RNG Daemon manuals
BuildArch:	noarch


%description docs
%{summary}


%prep
%autosetup


%build
%set_build_flags
%make_build


%install
%make_install PREFIX=%{_prefix}


%files
%license
%{_sbindir}/jitterentropy-rngd
%{_unitdir}/jitterentropy.service


%post
%systemd_post jitterentropy.service

%preun
%systemd_preun jitterentropy.service

%postun
%systemd_postun jitterentropy.service


%files docs
%doc %{_mandir}


%changelog
* Wed Oct 09 2024 Eric Chanudet <echanude@redhat.com>
- Initial packaging
